<?php
/**
 * Front Page section
 *
 * @package United Blog
 */
$default = united_blog_get_default_theme_options();
// Fearured Blog Section.
$wp_customize->add_section('front_page_settings',
    array(
        'title'      => esc_html__('Homepage Sidebar', 'united-blog'),
        'capability' => 'edit_theme_options',
        'panel'      => 'theme_option_panel',
        'priority'    => 40,
    )
);

// Hide Side Bar on Mobile.
$wp_customize->add_setting('hide_front_page_sidebar_mobile',
    array(
        'default'           => $default['hide_front_page_sidebar_mobile'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'united_blog_sanitize_checkbox',
    )
);
$wp_customize->add_control('hide_front_page_sidebar_mobile',
    array(
		'label'    => __( 'Hide Sidebar on Mobile', 'united-blog' ),
        'section'  => 'front_page_settings',
        'type'     => 'checkbox',
    )
);

$wp_customize->add_setting('front_page_enable_sidebar',
    array(
        'default'           => $default['front_page_enable_sidebar'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'united_blog_sanitize_checkbox',
    )
);
$wp_customize->add_control('front_page_enable_sidebar',
    array(
        'label'       => __( 'Enable Homepage Sidebar', 'united-blog' ),
        'section'  => 'front_page_settings',
        'type'     => 'checkbox',
    )
);